curl --request POST \
--url https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"attributes": [
"test"
]
}
'import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes"
payload = { "attributes": ["test"] }
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({attributes: ['test']})
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attributes' => [
'test'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes"
payload := strings.NewReader("{\n \"attributes\": [\n \"test\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attributes\": [\n \"test\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attributes\": [\n \"test\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "6ef2067a-5d6b-4785-a090-96ea0078220d",
"provider": "verifone",
"processor": "stripe",
"method": "apple pay",
"methodType": "credit card",
"state": "PENDING",
"authorization": {
"amount": 8,
"expiry": "2024-06-13T16:50:00.682Z",
"verifier": {
"type": "TOKEN",
"key": "CH39082K439R0"
}
},
"billToAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"cardDetails": {},
"attributes": {
"gift-card-name": "custom name"
}
}{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}Delete payment attributes
Partially deletes attributes of your choice in the payment object associated with the corresponding cart.
The Cart ID from the Create cart endpoint is used in the path parameter.
The ID from the Create payment endpoint is used in the path parameter.
curl --request POST \
--url https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"attributes": [
"test"
]
}
'import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes"
payload = { "attributes": ["test"] }
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({attributes: ['test']})
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attributes' => [
'test'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes"
payload := strings.NewReader("{\n \"attributes\": [\n \"test\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attributes\": [\n \"test\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/carts/{cartId}/payments/{id}/actions/delete-attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attributes\": [\n \"test\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "6ef2067a-5d6b-4785-a090-96ea0078220d",
"provider": "verifone",
"processor": "stripe",
"method": "apple pay",
"methodType": "credit card",
"state": "PENDING",
"authorization": {
"amount": 8,
"expiry": "2024-06-13T16:50:00.682Z",
"verifier": {
"type": "TOKEN",
"key": "CH39082K439R0"
}
},
"billToAddress": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"cardDetails": {},
"attributes": {
"gift-card-name": "custom name"
}
}{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}Authorizations
This is the authorization token used to authenticate the request. You must pass the access token generated from the system app. For more information, see the Making your first API request section.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"617329dfd5288b0011332311"
Path Parameters
The 24-character system-generated Cart ID. This ID is generated using the Create cart endpoint.
The Payment ID that was generated when a payment was created using the Create payment endpoint.
Body
Delete Attributes Request
Include the attributes you wish to remove in an array containing attribute keys that remove the attributes added using the Add payment attributes endpoint.
Include the attributes you wish to remove in an array containing attribute keys that remove the attributes added using the Add payment attributes endpoint.
["test"]
Response
OK
Cart Payment
The Payment ID that was generated when a payment was created using the Create payment endpoint.
"6ef2067a-5d6b-4785-a090-96ea0078220d"
The Address ID that was generated when an address was created using the Create address endpoint.
"a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93"
Was this page helpful?
